package com.lanyuanxiaoyao.leopard.strategy;

import com.lanyuanxiaoyao.leopard.core.repository.StockRepository;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.autoconfigure.orm.jpa.DataJpaTest;

@Slf4j
@DataJpaTest
public class TestMaCalculate {
  private final StockRepository stockRepository;

  public TestMaCalculate(StockRepository stockRepository) {
    this.stockRepository = stockRepository;
  }

  @Test
  public void test() {
    var total = stockRepository.count();
    log.info("Total: {}", total);
  }
}
